<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Usuario</title>
</head>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css"
    integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
<link rel="stylesheet" href="//cdn.jsdelivr.net/npm/alertifyjs@1.13.1/build/css/alertify.min.css" />
<link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

<body>
    <div class="container mt-4 shadow-lg p-3 mb-5  rounded ">
        <!--Código nuevo-->
        <button id="btnCrear" type="button" class="btn btn-success">Crear Usuario</button>
        <!--Fin codigo nuevo-->

        <table id="Usuarios" class="table mt-2 table-bordered table-striped">
            <thead>
                <tr class="text-center">
                    <th>ID</th>
                    <th>NOMBRE</th>
                    <th>CIUDAD</th>
                    <th>TELEFONO</th>
                    <th>TIPO USUARIO</th>
                    <th>ACCIONES</th>
                </tr>
            </thead>
            <tbody id="tb">

            </tbody>
        </table>
    </div>
    <div class="modal fade" id="modalUsuario" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title" id="exampleModalLabel">Usuarios</h5>
                    <button id="cerrarx" type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="frmPrincipal">
                        <div class="mb-3">
                            <label for="nombre" class="col-form-label">Nombre Usuario :</label>
                            <input id="nombre" placeholder="Digite el nombre" type="text" class="form-control"
                                id="recipient-name" required autocomplete="off"
                                oninvalid="setCustomValidity('Digite un Nombre')" oninput="setCustomValidity('')">
                        </div>
                        <div class="mb-3">
                            <label for="ciudad" class="col-form-label">Ciudad Usuario :</label>
                            <input id="ciudad" placeholder="Digite la Dirección" type="text" class="form-control"
                                id="recipient-name" required autocomplete="off"
                                oninvalid="setCustomValidity('Digite una Direccion')" oninput="setCustomValidity('')">
                        </div>
                        <div class="mb-3">
                            <label for="telefono" class="col-form-label">Telefono Usuario :</label>
                            <input id="telefono" placeholder="Digite el Teléfono" type="number" min="100000"
                                class="form-control" id="recipient-name" required autocomplete="off"
                                oninvalid="setCustomValidity('Digite un Teléfono')" oninput="setCustomValidity('')">
                        </div>
                        <div class="mb-3">
                            <label for="tipo" class="col-form-label">Tipo de Usuario :</label>
                            <br>
                            <select name="select" id="tipo" class="form-control" required>
                                <option value="">Seleccione Tipo de Usuario</option>
                            </select>
                        </div>
                        <div class="modal-footer">
                            <button id="cerrar" type="button" class="btn btn-secondary"
                                data-bs-dismiss="modal">Cerrar</button>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>

</body>

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
    integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
    crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.min.js"
    integrity="sha384-skAcpIdS7UcVUC05LJ9Dxay8AXcDYfBJqt1CJ85S/CFujBsIzCIv+l9liuYLaMQ/"
    crossorigin="anonymous"></script>
<script src="//cdn.jsdelivr.net/npm/alertifyjs@1.13.1/build/alertify.min.js"></script>
<script src="usuario.js"></script>
<script>
    alertify.defaults.transition = "slide";
    alertify.defaults.theme.ok = "btn btn-primary";
    alertify.defaults.theme.cancel = "btn btn-danger";
    alertify.defaults.theme.input = "form-control";
</script>

<script src="vendor/datatables/jquery.dataTables.min.js"></script>
<script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>

</html>